import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:bootstrap_like_grid/bootstrap_like_grid.dart';
import 'package:bootstrap_typography2/bootstrap_typography2.dart';

void main() {
  runApp(MaterialApp(
    home: SafeArea(
      child: Scaffold(
        body: Builder(
          builder: (context) {
            return BSContainer(
              children: [
                BSRow(
                  children: [
                    BSColumn(
                      crossAxisAlignment: CrossAxisAlignment.center,
                      children: [
                        H1(
                          BSTextParams(
                            "Hello World!",
                            weight: FontWeight.bold,
                            color: Colors.pink,
                            backgroundColor: Colors.yellow,
                          ),
                        ),
                      ],
                    ),
                  ],
                ),
                BSRow(
                  children: [
                    BSColumn(
                      crossAxisAlignment: BSBreakPoints.valueBasedOnBreakPoint(
                        context: context,
                        map: <String, CrossAxisAlignment>{
                          "": CrossAxisAlignment.start,
                          "sm": CrossAxisAlignment.center,
                          "md": CrossAxisAlignment.end,
                          "lg": CrossAxisAlignment.end,
                          "xl": CrossAxisAlignment.start,
                          "xxl": CrossAxisAlignment.start,
                        },
                      ),
                      breakPointTriggers: [
                        "col-md-6",
                      ],
                      children: [
                        H2(
                          BSTextParams(
                            "Left",
                            color: Colors.blue,
                            fontStyle: FontStyle.italic,
                            weight: FontWeight.bold,
                          ),
                        ),
                      ],
                    ),
                    BSColumn(
                      crossAxisAlignment: BSBreakPoints.valueBasedOnBreakPoint(
                        context: context,
                        map: <String, CrossAxisAlignment>{
                          "": CrossAxisAlignment.start,
                          "sm": CrossAxisAlignment.center,
                          "md": CrossAxisAlignment.start,
                          "lg": CrossAxisAlignment.start,
                          "xl": CrossAxisAlignment.end,
                          "xxl": CrossAxisAlignment.end,
                        },
                      ),
                      breakPointTriggers: [
                        "col-md-6",
                      ],
                      children: [
                        H2(
                          BSTextParams(
                            "Right",
                            color: Colors.amber,
                            textDecoration: TextDecoration.underline,
                            weight: FontWeight.bold,
                          ),
                        ),
                      ],
                    ),
                  ],
                ),
                BSRow(
                  children: [
                    BSColumn(
                      children: [
                        P(
                          BSTextParams("Some Text blah, blah, blah."),
                        ),
                      ],
                    ),
                  ],
                ),
              ],
            );
          },
        ),
      ),
    ),
  ));
}
